package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.SysDictDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 字典 接口路由
 */

@RestMappingController("sys-dict")
public interface SysDictService {


    /**
     * 字典集合查询（内部调用）
     *
     * @param selectList
     * @return
     */
    @PostMapping("dictList")
    R<List<SysDictDto.ListVo>> dictList(@RequestBody SysDictDto.SelectList selectList);
}
